repo/gentoo:master commit in: dev-java/openjdk-bin/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786733556.58b1181564a8faf2eb7a4b50d88f9e1d036827b7.arthurzam@gentoo>
commit:     58b1181564a8faf2eb7a4b50d88f9e1d036827b7
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Sun Jul 26 06:16:58 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 18:52:36 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58b11815

dev-java/openjdk-bin: add 28_alpha11

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/948
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-java/openjdk-bin/Manifest                      |   8 ++
 dev-java/openjdk-bin/openjdk-bin-28_alpha11.ebuild | 159 +++++++++++++++++++++
 2 files changed, 167 insertions(+)

diff --git a/dev-java/openjdk-bin/Manifest b/dev-java/openjdk-bin/Manifest
index aa4c1cd6f5e6..bf2e8c414c76 100644
--- a/dev-java/openjdk-bin/Manifest
+++ b/dev-java/openjdk-bin/Manifest
@@ -1,3 +1,11 @@
+DIST OpenJDK-jdk_aarch64_alpine-linux_hotspot_28_11-ea.tar.gz 158114528 BLAKE2B 91b2e7e538b65021563f1dd022759305a253d0f34fa84b32c19e9d49663bc6fc23e752faab038088106951a5a4a0a8b3e9b2a9c763608cafe094376731951af1 SHA512 e9bd080d786b43b01a9314be07544e14c1ab139cda3e02b60160b17bb0aaa375540749acf3ab1bf4ed40863333dbee05a562107fb8341cd8ec0f0385eb66796d
+DIST OpenJDK-jdk_aarch64_linux_hotspot_28_11-ea.tar.gz 159036920 BLAKE2B 87043847ededf811b5f1a7efa6efd05cac1899f2661781c3afeadf471b8ebd8d72b454e4b550fe8285c0e2838c37e47f4392262c8e495374cd62dec559f2f074 SHA512 87303d2e5109d3c52767fdb9b34754ca7e955b169a3efd9d71373d0478785a6afb3dfd9fa021a4364b2ceb12c847c9b23d8ddb5ce62df832beca1e317cd6537a
+DIST OpenJDK-jdk_aarch64_mac_hotspot_28_11-ea.tar.gz 155380373 BLAKE2B 4cb1a05a9ee58098728f199c3a5c73eabc6fbdc81b3a676ef42becfafe1e47f011764c976f15fe6dabd2c6e74b6e617f4347eabcdcb9e7941d321eac8337c610 SHA512 af9d6e4e26b4282e146401b8866e85ed15c3e03897b0ddaef6ea7d11574b665cd1b579ca8b67b0b3699efb2135381cb4f2a9d6fa7f3320f5620bcaffa1b98895
+DIST OpenJDK-jdk_ppc64le_linux_hotspot_28_11-ea.tar.gz 158820666 BLAKE2B 3bd639a3fd5a034a2eb19a5489e1b5fb43fcd35e7ed8fe06f45a044ed6989918547a6a38c20ed344bd4dca2668480f952725450882932c9fad72d0ecae809926 SHA512 7ca0fd798d840ac7a9e58f82bad74b167e3f5570d7befdcfe83df1f1ef5c2ae033b90eddec45d75ed16377f6dff37d47fcc43552748fcdf64806dcd715fcf729
+DIST OpenJDK-jdk_riscv64_linux_hotspot_28_11-ea.tar.gz 158564423 BLAKE2B a19bb3d1bfbf17ce25604e6f8d63d9de493b3159661fad042167c5a49064cdf5d64f5b7de39aee9c46a4e19cb05e0db183dbfccda5410f00f16349aabf73d2e3 SHA512 2b67a3b886575f830a8be90bed3e29d0fb92c0c7e4e27b41189671e583491dd6a5cf1519e0cac7dd05f7fc18996759ea5c107be22d1644a4f96d7577917d493d
+DIST OpenJDK-jdk_x64_alpine-linux_hotspot_28_11-ea.tar.gz 159303558 BLAKE2B 7702cfaf635295c05c423f4a00925e668b03ff6cf065bd7c5917d013ed8ea0cf3a3fe35415b33cc57307efa187e32617d6ff3c607d5682b83d216a115dc6b2be SHA512 f61f7f4f092ae541a77a382e307cc482d8e10f1fa1b2a2c4ad51fbb3f0e3e71ea6f101054cf5c02e4a1f12e7ae2e8be69143e1daf68cc6e9662ffd658d34ae8c
+DIST OpenJDK-jdk_x64_linux_hotspot_28_11-ea.tar.gz 160064472 BLAKE2B 461a2be1214cb9e4f96357e196a32a13b35264bfba6b76feea66f2a7df878cf067675905bd772f4955bc38b6eeb7124f1f921ce8589a561881207a88130ebf05 SHA512 774bb6f0725d261d3a80be47518bc97cf2823d57b2d1c2ccc3b3abc3d9c7338049560cbae079f06c4c7879a8741b141fb9ae1e409faddc34a3776b4cfe86a94c
+DIST OpenJDK-jdk_x64_mac_hotspot_28_11-ea.tar.gz 120009829 BLAKE2B daf88a3fe846f2b3ff2afb40a311ba15c4595f4c4ced2aecce7f42a6b60b94edfd67787390f08e8e630ddb06318fcd9f63cd6242ae69f3f632e91d00ef9b2d76 SHA512 a2800f8652b898c6b219e35bae8837ce759ea861a8b45770b91770f442883381832851675f536a962dc7365e17fbf0c0ac5d261ae0b2524488bd16397b23e44c
 DIST OpenJDK11U-jdk_aarch64_linux_hotspot_11.0.31_11.tar.gz 192356810 BLAKE2B 1bdf573d906c383c2c4050a74b4bd15a9cdcacd7e54decd79defb77e82837ad62d233c29ebba224906b16ace75d36521a727e31bfacf73e4013efad12ce73c60 SHA512 347349ebcfd74fcb812911b72ccfb8e562695426a233942d26c5862776f8bc2887a65fac705eef95889b802c4d2020a2bcbf4dfd381a031fb46c8628fb93444b
 DIST OpenJDK11U-jdk_arm_linux_hotspot_11.0.31_11.tar.gz 183209712 BLAKE2B 285ffbaecbdb6908850aa911214609d563563152ea0e82687cfa3e745db8a0e777f7a4902449c76cadb088dae613861ec7ff4ce6291a6f46b05234448fce0c8d SHA512 e1019b98af46ed8fdc50dc98948a2dd41c77eb65235927c00a9051aa8bdbd5dd0336436efe148637cd7aea3aa74a27c97faadb39f9a78b32826c6c81bbdc2f42
 DIST OpenJDK11U-jdk_ppc64le_linux_hotspot_11.0.31_11.tar.gz 177908484 BLAKE2B 987199349f4a0d0b3ab5508adfe4ac26e85f7efd6c3f83279ed99353fbee4f35bd99ce0d41f1fdb8c0d3a666d58910f61a00bd3bd21c5b5e6b0e5631a1e63e8a SHA512 7fbdb11b5df615cac348ef022e68270c732072c10eafc81e500e160c9a2a9ae5f4f7d989b5ab2ebc38e668c13dd3ab3092a1eeb9a9af650697053e16a2b40bce

diff --git a/dev-java/openjdk-bin/openjdk-bin-28_alpha11.ebuild b/dev-java/openjdk-bin/openjdk-bin-28_alpha11.ebuild
new file mode 100644
index 000000000000..4307cc25706b
--- /dev/null
+++ b/dev-java/openjdk-bin/openjdk-bin-28_alpha11.ebuild
@@ -0,0 +1,159 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-vm-2 toolchain-funcs
+
+abi_uri() {
+	local baseuri="https://github.com/adoptium/temurin$(ver_cut 1)-binaries/releases/download/jdk-${PVB}/"
+	local musl=
+	local os=linux
+
+	case ${2} in
+		*-macos)    os=mac      ;;
+		*-solaris)  os=solaris  ;;
+	esac
+
+	if [[ ${3} == musl ]]; then
+		os=alpine-linux
+		musl=true
+	fi
+
+	echo "${2-$1}? (
+		${musl:+ elibc_musl? ( }
+			${baseuri}/OpenJDK${JDK_REPO}-jdk_${1}_${os}_hotspot_${PVH}.tar.gz
+		${musl:+ ) } )"
+}
+
+# In "early access" versions, SRC_URI is different from released versions
+# and contains strings like 'jdk-25+36-ea-beta' and '_25_36-ea.tar.gz'
+# According to file naming rules, the ebuilds are named like
+# 'openjdk-bin-26_alpha20.ebuild' or 'openjdk-bin-25_beta36.ebuild'.
+if [[ "${PV%_alpha*}" != "${PV}" ]]; then # version string contains "_alpha"
+	MY_PV="${PV/_alpha/+}"
+	JDK_REPO=""
+	PVB="${PV/_alpha/+}-ea-beta"
+	PVH="${PV/_alpha/_}-ea"
+elif [[ "${PV%_beta*}" != "${PV}" ]]; then # version string contains "_beta"
+	MY_PV="${PV/_beta/+}"
+	JDK_REPO="$(ver_cut 1)U"
+	PVB="${PV/_beta/+}-ea-beta"
+	PVH="${PV/_beta/_}-ea"
+else
+	MY_PV="${PV/_p/+}"
+	JDK_REPO="$(ver_cut 1)u"
+	PVB="${MY_PV}"
+	PVH="${MY_PV//+/_}"
+fi
+
+DESCRIPTION="Prebuilt Java JDK binaries provided by Eclipse Temurin"
+HOMEPAGE="https://adoptium.net"
+SRC_URI="
+	$(abi_uri aarch64 arm64)
+	$(abi_uri aarch64 arm64-macos)
+	$(abi_uri aarch64 arm64 musl)
+	$(abi_uri ppc64le ppc64)
+	$(abi_uri x64 amd64)
+	$(abi_uri x64 amd64 musl)
+	$(abi_uri riscv64 riscv)
+	$(abi_uri x64 x64-macos)
+"
+S="${WORKDIR}/jdk-${MY_PV}"
+
+LICENSE="GPL-2-with-classpath-exception"
+SLOT=$(ver_cut 1)
+#	KEYWORDS="" # Not an LTS candidate
+IUSE="alsa cups headless-awt selinux source"
+
+RDEPEND="
+	>=sys-apps/baselayout-java-0.1.0-r1
+	kernel_linux? (
+		media-libs/fontconfig:1.0
+		media-libs/freetype:2
+		media-libs/harfbuzz
+		elibc_glibc? ( >=sys-libs/glibc-2.2.5:* )
+		elibc_musl? ( sys-libs/musl )
+		virtual/zlib:=
+		alsa? ( media-libs/alsa-lib )
+		cups? ( net-print/cups )
+		selinux? ( sec-policy/selinux-java )
+		!headless-awt? (
+			x11-libs/libX11
+			x11-libs/libXext
+			x11-libs/libXi
+			x11-libs/libXrender
+			x11-libs/libXtst
+		)
+	)"
+
+RESTRICT="preserve-libs splitdebug"
+QA_PREBUILT="*"
+
+pkg_pretend() {
+	if [[ "$(tc-is-softfloat)" != "no" ]]; then
+		die "These binaries require a hardfloat system."
+	fi
+}
+
+src_unpack() {
+	default
+	if [[ ${A} == *_mac_* ]] ; then
+		mv -v "${S}/Contents/Home/"* "${S}" || die
+		rm -Rf "${S}/Contents"  # drop macOS executable
+	fi
+}
+
+src_install() {
+	local dest="/opt/${P}"
+	local ddest="${ED}/${dest#/}"
+
+	# https://bugs.gentoo.org/922741
+	docompress "${dest}/man"
+
+	# on macOS if they would exist they would be called .dylib, but most
+	# importantly, there are no different providers, so everything
+	# that's shipped works.
+	if [[ ${A} != *_mac_* ]] ; then
+		# Not sure why they bundle this as it's commonly available and they
+		# only do so on x86_64. It's needed by libfontmanager.so. IcedTea
+		# also has an explicit dependency while Oracle seemingly dlopens it.
+		rm -vf lib/libfreetype.so || die
+
+		# prefer system copy # https://bugs.gentoo.org/776676
+		rm -vf lib/libharfbuzz.so || die
+
+		# Oracle and IcedTea have libjsoundalsa.so depending on
+		# libasound.so.2 but AdoptOpenJDK only has libjsound.so. Weird.
+		if ! use alsa ; then
+			rm -v lib/libjsound.* || die
+		fi
+
+		if use headless-awt ; then
+			# do not die if not available, -f for bug #934974
+			rm -fv lib/lib*{[jx]awt,splashscreen}* || die
+		fi
+	fi
+
+	if ! use source ; then
+		rm -v lib/src.zip || die
+	fi
+
+	rm -v lib/security/cacerts || die
+	dosym -r /etc/ssl/certs/java/cacerts "${dest}"/lib/security/cacerts
+
+	dodir "${dest}"
+	cp -pPR * "${ddest}" || die
+
+	# provide stable symlink
+	dosym "${P}" "/opt/${PN}-${SLOT}"
+
+	java-vm_install-env "${FILESDIR}"/${PN}.env.sh
+	java-vm_set-pax-markings "${ddest}"
+	java-vm_revdep-mask
+	java-vm_sandbox-predict /dev/random /proc/self/coredump_filter
+}
+
+pkg_postinst() {
+	java-vm-2_pkg_postinst
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.